package model

import (
	"time"

	"github.com/google/uuid"
)

type Token struct {
	ID             uuid.UUID
	RefreshTokenID uuid.UUID
	Expiration     time.Time
	Subjet         string
	Audiences      []string
	Scopes         []string
}

type RefreshToken struct {
	ID       uuid.UUID
	AuthTime time.Time
}
